BambooHR (Basic Auth)
Access the BambooHR API in 2 minutes 💨
In Tenklo (free signup), go to Integrations -> Configure New Integration -> BambooHR (Basic Auth).
Go to Connections -> Add Test Connection -> Authorize, then enter your BambooHR API key and Subdomain. Later, you'll let your users do the same directly from your app.
Let's make your first request to the BambooHR API (fetch employees information). Replace the placeholders below with your Environment API key, integration ID, and connection ID:
curl -X POST "https://api.tenklo.dev/proxy/v1/reports/custom?format=JSON" \
-H "Authorization: Bearer <NANGO-API-KEY>" \
-H "Provider-Config-Key: <INTEGRATION-ID>" \
-H "Connection-Id: <CONNECTION-ID>" \
-H "Content-Type: application/json" \
-d '{
"title": "Current Employees",
"fields": [
"id",
"employeeNumber",
"firstName",
"lastName",
"dateOfBirth",
"address1",
"bestEmail"
]
}'✅ You're connected! Check the Logs tab in Tenklo to inspect requests.
Next step: Embed the auth flow in your app to let your users connect their BambooHR accounts.
Questions? Join us in the Slack community.